Subject: Re: Keyboard mappings -- strange...

From: "Tim Freedom" <[email-masked]>
Date: Tue, 29 Aug 2000 10:49:29 PDT

On Tue, 22 Aug 2000 17:53:30 PDT, Tim Freedom wrote:
>
>My 'xmodmap' shows,
>xmodmap:  up to 2 keys per modifier, (keycodes in parentheses):
>
>shift       Shift_L (0x6a),  Shift_R (0x75)
>lock        Caps_Lock (0x7e)
>control     Control_L (0x53)
>mod1        Alt_L (0x1a)
>mod2        Mode_switch (0x14)
>mod3        Num_Lock (0x69)
>mod4        Meta_L (0x7f),  Meta_R (0x81)
>
>I attempted, per FAQ, to 'xmodmap -e "clear Mod3"' but nothing >improved.
>
>What should I do to get the KP_* and arrow key mappings working ????

I'm answering my own question in hopes of having this info added to the FAQ. 
  This took me awhile to figure this out since its not mentioned anywhere 
even though it might be understood by the masses.

After an "xmodmap -e blah blah" or "xmodmap filename" one _must_ either 
restart fvwm to see the affects or add those commands to one's startx or 
xinitrc file and reboot.  Bare in mind that the changes show-up immediately 
when queried command-line in an xterm or xev or xkeycaps (kinda confusing to 
a newbie like myself).

Do please add this note to the FAQ, it might help another poor soul.

Now if I can only figure why my diamond key (SUN keyboard) does not function 
as a Meta key in fvwm (it does fine in emacs).  In Fvwm I have to use the 
Alt key --- Does fvwm map Mod1 as Meta by any chance ???

Thanks again.

Tim
_________________________________________________________________________
Get Your Private, Free E-mail from MSN Hotmail at http://www.hotmail.com.

Share information about yourself, create your own public profile at 
http://profiles.msn.com.

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dan Espen <[email-masked]>
Date: Tue, 29 Aug 2000 14:06:06 -0400

> Do please add this note to the FAQ, it might help another poor soul.

I added this note to the answer for 5.5:

   Fvwm has to be restarted to use the changes made by xmodmap.

This might take a while to appear at the web site, I think I have some
other things in my mail folders I want to add.

--
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]